--- a/Makefile
+++ b/Makefile
@@ -22,7 +22,7 @@ OPT_OPUS    = -DOPUS
 SOURCES = \
 	main.c slimproto.c buffer.c stream.c utils.c \
 	output.c output_alsa.c output_pa.c output_stdout.c output_pack.c decode.c \
-	flac.c pcm.c mad.c vorbis.c mpg.c
+	flac.c pcm.c vorbis.c mpg.c
 
 SOURCES_DSD      = dsd.c dop.c dsd2pcm/dsd2pcm.c
 SOURCES_FF       = ffmpeg.c
@@ -40,7 +40,7 @@ LINK_LINUX       = -ldl
 LINK_SSL         = -lssl -lcrypto
 LINK_ALAC        = -lalac
 
-LINKALL          = -lmad -lmpg123 -lFLAC -lvorbisfile -lvorbis -logg
+LINKALL          = -lmpg123 -lFLAC -lvorbisfile -lvorbis -logg
 LINKALL_FF       = -lavformat -lavcodec -lavutil
 LINKALL_RESAMPLE = -lsoxr
 LINKALL_IR       = -llirc_client
--- a/decode.c
+++ b/decode.c
@@ -184,11 +184,7 @@ void decode_init(log_level level, const char *include_codecs, const char *exclud
 	if (!strstr(exclude_codecs, "pcm")	&& (!include_codecs || (order_codecs = strstr(include_codecs, "pcm"))))
 		sort_codecs((include_codecs ? order_codecs - include_codecs : i), register_pcm());
 
-	// try mad then mpg for mp3 unless command line option passed
-	if (!(strstr(exclude_codecs, "mp3") || strstr(exclude_codecs, "mad")) &&
-		(!include_codecs || (order_codecs = strstr(include_codecs, "mp3")) || (order_codecs = strstr(include_codecs, "mad"))))
-		sort_codecs((include_codecs ? order_codecs - include_codecs : i), register_mad());
-	else if (!(strstr(exclude_codecs, "mp3") || strstr(exclude_codecs, "mpg")) &&
+	if (!(strstr(exclude_codecs, "mp3") || strstr(exclude_codecs, "mpg")) &&
 		(!include_codecs || (order_codecs = strstr(include_codecs, "mp3")) || (order_codecs = strstr(include_codecs, "mpg"))))
 		sort_codecs((include_codecs ? order_codecs - include_codecs : i), register_mpg());
 
--- a/main.c
+++ b/main.c
@@ -51,7 +51,7 @@
 #else
 #define CODECS_DSD  ""
 #endif
-#define CODECS_MP3  " (mad,mpg for specific mp3 codec)"
+#define CODECS_MP3  ""
 
 #define CODECS CODECS_BASE CODECS_AAC CODECS_FF CODECS_OPUS CODECS_DSD CODECS_MP3
 
--- a/squeezelite.h
+++ b/squeezelite.h
@@ -190,7 +190,6 @@
 
 #if LINUX
 #define LIBFLAC "libFLAC.so.8"
-#define LIBMAD  "libmad.so.0"
 #define LIBMPG "libmpg123.so.0"
 #define LIBVORBIS "libvorbisfile.so.3"
 #define LIBOPUS "libopusfile.so.0"
@@ -205,7 +204,6 @@
 
 #if OSX
 #define LIBFLAC "libFLAC.8.dylib"
-#define LIBMAD  "libmad.0.dylib"
 #define LIBMPG "libmpg123.0.dylib"
 #define LIBVORBIS "libvorbisfile.3.dylib"
 #define LIBTREMOR "libvorbisidec.1.dylib"
@@ -219,7 +217,6 @@
 
 #if WIN
 #define LIBFLAC "libFLAC.dll"
-#define LIBMAD  "libmad-0.dll"
 #define LIBMPG "libmpg123-0.dll"
 #define LIBVORBIS "libvorbisfile.dll"
 #define LIBOPUS "libopusfile-0.dll"
@@ -233,7 +230,6 @@
 
 #if FREEBSD
 #define LIBFLAC "libFLAC.so.8"
-#define LIBMAD  "libmad.so.0"
 #define LIBMPG "libmpg123.so.0"
 #define LIBVORBIS "libvorbisfile.so.3"
 #define LIBTREMOR "libvorbisidec.so.1"
